﻿#!/usr/bin/env python
# -*- coding: utf-8 -*-

#マウスホイール/チルト検出テスト
#ぷれぜんてっどばーい七篠権兵衛
#wxPythonのwxMouseEventにあるGetWheelAxisで
#wx.MOUSE_WHEEL_VERTICALが返ってくるなら通常のホイール操作、
#wx.MOUSE_WHEEL_HORIZONTALが帰ってきたらチルトホイールの操作と
#場合わけできるかの確認。


import wx


class MyPyTEST(wx.App):
    def OnInit(self):
        self.init_frame()
        return True

    def init_frame(self):
        self.frm_main = wx.Frame(None)
        self.frm_main.SetTitle(u"チルト検出テスト")
        self.frm_main.Show()
        print (u"マウスホイールの動作を検出します")
        print (u"検出結果は標準出力へ表示されます")
        self.Bind(wx.EVT_MOUSEWHEEL, self.wheel_event)

    def wheel_event(self, event):
        if event.GetWheelAxis() == wx.MOUSE_WHEEL_VERTICAL:
            if event.GetWheelRotation() > 0:
                print(u"マウスホイールの上回転を検出しました")
            elif event.GetWheelRotation() < 0:
                print(u"マウスホイールの下回転を検出しました")
        elif event.GetWheelAxis() == wx.MOUSE_WHEEL_HORIZONTAL:
            if event.GetWheelRotation() > 0:
                print(u"マウスホイールの右チルトを検出しました")
            elif event.GetWheelRotation() < 0:
                print(u"マウスホイールの左チルトを検出しました")


if __name__ == "__main__":
    appl = MyPyTEST(False)
    appl.MainLoop()
